<!DOCTYPE html>
<html>
<head>
  <title>Granting is Okay</title>
</head>
<body>
  <script>
    let opener = window.opener;
    if (!opener) {
      opener = window.parent;
    }
    opener.postMessage('grant-is-okay', '*');
    if (!opener) {
      window.close();
    }
  </script>
</body>
</html>
